Name:             glassfish-enterprise-concurrent-api
Version:          1.0
Release:          9%{dist}
Summary:          Concurrency Utilities API for Java EE
License:          CDDL or GPLv2 with exceptions
Url:              https://java.net/projects/cu-javaee

# svn export https://svn.java.net/svn/concurrency-ee-spec~source-code-repository/tags/javax.enterprise.concurrent-api-1.0 glassfish-enterprise-concurrent-api-1.0
# tar -zcvf glassfish-enterprise-concurrent-api-1.0.tar.gz glassfish-enterprise-concurrent-api-1.0
Source0:          glassfish-enterprise-concurrent-api-%{version}.tar.gz
Source1:          cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(net.java:jvnet-parent:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.glassfish.build:spec-version-maven-plugin)

BuildArch:        noarch

%description
API for JSR 236 - Concurrency Utilities for Java EE

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n glassfish-enterprise-concurrent-api-%{version}

cp %{SOURCE1} .

%pom_remove_plugin "org.codehaus.mojo:buildnumber-maven-plugin"

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-jxr-plugin
# Fix javadoc doclint
%pom_remove_plugin :maven-javadoc-plugin
# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

# Remove deprecated instruction
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-jar-plugin']/pom:configuration/pom:useDefaultManifestFile"
%pom_xpath_inject "pom:plugin[pom:artifactId = 'maven-jar-plugin']/pom:configuration" '
<archive>
 <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
</archive>'

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license cddl.txt

%files javadoc -f .mfiles-javadoc
%license cddl.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 06 2016 gil cattaneo <puntogil@libero.it> 1.0-7
- fix BRs list and use BRs mvn()-like

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 06 2015 gil cattaneo <puntogil@libero.it> 1.0-5
- Fix FTBFS rhbz#1239531
- Remove duplicate files
- Introduce license macro

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0-3
- Removed buildnumber-maven-plugin

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0-1
- Initial import


